org.keycloak.admin.client.resource

## Interface RolesResource

-     public interface RolesResource

  Author:
    rodrigo.sasaki@icarros.com.br

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(RoleRepresentation roleRepresentation)`
    `void` | `deleteRole(String roleName)`
    `RoleResource` | `get(String roleName)`
    `List<RoleRepresentation>` | `list()`
    `List<RoleRepresentation>` | `list(boolean briefRepresentation)`
    `List<RoleRepresentation>` | `list(Integer firstResult, Integer maxResults)` Get roles by pagination params.
    `List<RoleRepresentation>` | `list(Integer firstResult, Integer maxResults, boolean briefRepresentation)` Get roles by pagination params.
    `List<RoleRepresentation>` | `list(String search, boolean briefRepresentation)` Get roles by pagination params.
    `List<RoleRepresentation>` | `list(String search, Integer firstResult, Integer maxResults)` Get roles by pagination params.
    `List<RoleRepresentation>` | `list(String search, Integer firstResult, Integer maxResults, boolean briefRepresentation)` Get roles by pagination params.

- - ### Method Detail

    - #### list

          @GET
           @Produces(value="application/json")
          List<RoleRepresentation> list()

    - #### list

          @GET
           @Produces(value="application/json")
          List<RoleRepresentation> list(@QueryParam(value="briefRepresentation") @DefaultValue(value="true")
                                                                                  boolean briefRepresentation)

      Parameters:
        `briefRepresentation` - if false, return roles with their attributes
      Returns:
        A list containing all roles.

    - #### list

          @GET
           @Produces(value="application/json")
          List<RoleRepresentation> list(@QueryParam(value="first")
                                                                                  Integer firstResult,
                                                                                  @QueryParam(value="max")
                                                                                  Integer maxResults)

      Get roles by pagination params.
      Parameters:
        `search` - max number of occurrences
        `first` - index of the first element
        `max` - max number of occurrences
      Returns:
        A list containing the slice of all roles.

    - #### list

          @GET
           @Produces(value="application/json")
          List<RoleRepresentation> list(@QueryParam(value="first")
                                                                                  Integer firstResult,
                                                                                  @QueryParam(value="max")
                                                                                  Integer maxResults,
                                                                                  @QueryParam(value="briefRepresentation") @DefaultValue(value="true")
                                                                                  boolean briefRepresentation)

      Get roles by pagination params.
      Parameters:
        `first` - index of the first element
        `max` - max number of occurrences
        `briefRepresentation` - if false, return roles with their attributes
      Returns:
        A list containing the slice of all roles.

    - #### list

          @GET
           @Produces(value="application/json")
          List<RoleRepresentation> list(@QueryParam(value="search") @DefaultValue(value="")
                                                                                  String search,
                                                                                  @QueryParam(value="briefRepresentation") @DefaultValue(value="true")
                                                                                  boolean briefRepresentation)

      Get roles by pagination params.
      Parameters:
        `search` - max number of occurrences
        `briefRepresentation` - if false, return roles with their attributes
      Returns:
        A list containing the slice of all roles.

    - #### list

          @GET
           @Produces(value="application/json")
          List<RoleRepresentation> list(@QueryParam(value="search") @DefaultValue(value="")
                                                                                  String search,
                                                                                  @QueryParam(value="first")
                                                                                  Integer firstResult,
                                                                                  @QueryParam(value="max")
                                                                                  Integer maxResults)

      Get roles by pagination params.
      Parameters:
        `search` - max number of occurrences
        `first` - index of the first element
        `max` - max number of occurrences
      Returns:
        A list containing the slice of all roles.

    - #### list

          @GET
           @Produces(value="application/json")
          List<RoleRepresentation> list(@QueryParam(value="search") @DefaultValue(value="")
                                                                                  String search,
                                                                                  @QueryParam(value="first")
                                                                                  Integer firstResult,
                                                                                  @QueryParam(value="max")
                                                                                  Integer maxResults,
                                                                                  @QueryParam(value="briefRepresentation") @DefaultValue(value="true")
                                                                                  boolean briefRepresentation)

      Get roles by pagination params.
      Parameters:
        `search` - max number of occurrences
        `first` - index of the first element
        `max` - max number of occurrences
        `briefRepresentation` - if false, return roles with their attributes
      Returns:
        A list containing the slice of all roles.

    - #### create

          @POST
           @Consumes(value="application/json")
          void create(RoleRepresentation roleRepresentation)

    - #### get

          @Path(value="{roleName}")
          RoleResource get(@PathParam(value="roleName")
                                                     String roleName)

    - #### deleteRole

          @Path(value="{role-name}")
           @DELETE
          void deleteRole(@PathParam(value="role-name")
                                                              String roleName)

Copyright © 2020 JBoss by Red Hat. All rights reserved.